function Error() {
  this.$$message = Array.prototype.join.call( arguments, ' ' );
}

Error.prototype = {
  'constructor':  Error,

  'toString':     function() {
    return this.$$message;
  }
};

function error() {
  return new Error(
    Array.prototype.join.call( arguments, ' ' )
  );
}

function safely( operation, scope ) {
  var result = undefined;
  try {
    result = operation.call( scope || null );
  }
  catch ( error ) {
    // nothing to do
  }
  return result;
}

export { error, safely };
