import '../services/browser';
import './shared';
import { injector, module } from '../unimatrix';
import * as object from '../functions/object';
import * as string from '../functions/string';
import * as rtti from '../functions/rtti';
import * as enumeration from '../functions/enumeration';
import { equals } from '../functions/equivalence';
import { toBoolean } from '../functions/boolean';
import { error } from '../functions/error';
import { noop } from '../functions/function';
import { element } from '../functions/element';
import { uuid } from '../functions/uuid';

var combined = object.extend(
  { injector, module },
  object,
  string,
  rtti,
  enumeration,
  { equals },
  { error },
  { noop },
  { element },
  { toBoolean },
  { uuid }
);

window.unimatrix = combined;
