function uuid( compact ) {
  var pattern = compact ?
    'xxxxxxxxxxxx4xxxyxxxxxxxxxxxxxxx' :
    'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx';
  var date = new Date().
    getTime();
  return pattern.replace(
    /[xy]/g,
    function( character ) {
      var random = ( date + Math.random() * 16 ) % 16 | 0;
      date = Math.floor( date / 16 );
      return ( character === 'x' ?
        random :
        ( random & 0x3 | 0x8 ) ).toString( 16 );
    }
  );
}

export { uuid };
