import { module } from '../../../unimatrix';
import { extend } from '../../../functions/object';

module( 'Unimatrix' ).
  service(
    'ResourceAssociationReflection',
    function() {
      var AssociationReflection =
        function( type, name, options ) {
          options = options || {};
          this.type = type;
          this.name = name;
          extend( this, options );
        };
      return function( type, name, options ) {
        return new AssociationReflection( type, name, options );
      };
    }
  );
